VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::inventory::DatastoreDefinitions Class Reference

Defines the type descriptors for the Datastore API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | findInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | findOutput

## Detailed Description

Defines the type descriptors for the Datastore API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::inventory::DatastoreDefinitions::findInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("datastores", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("Datastore")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::inventory::DatastoreDefinitions::findOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("Datastore"), new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.inventory.DatastoreDefinitions.info.Value))));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::inventory::DatastoreDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(0);
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.inventory.datastore.info", fields, typeof(vmware.vcenter.inventory.DatastoreTypes.Info), validators, false, null);
                })

The documentation for this class was generated from the following file:

- inventory/DatastoreDefinitions.cs